@import url('https://fonts.googleapis.com/css?family=Fira+Mono:400');

html,
body {
  height: 100%;
}
body {
  background: black;
  font-family: 'Fira Mono';
  font-weight: 400;
  color: #FFF;
  margin: 0;
}
.glitch-wrapper {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.glitch {
  margin-top: -40vh;
  color: white;
  font-size: min(30vw, 150px);
  text-transform: upercase;
  position: relative;
  display: inline-block;
}
.glitch::before,
.glitch::after {
  content: attr(data-text);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: black;
}
.glitch::before {
  left: 2px;
  text-shadow: -2px 0 #49fc00;
  clip: rect(24px, 550px, 90px, 0);
  animation: glitch-anim-2 3s infinite linear alternate-reverse;
}
.glitch::after {
  left: -2px;
  text-shadow: -2px 0 #b300fc;
  clip: rect(85px, 550px, 140px, 0);
  animation: glitch-anim 2.5s infinite linear alternate-reverse;
}
@-webkit-keyframes glitch-anim {
  0% {
    clip: rect(105px, 9999px, 34px, 0);
  }
  4.166666666666666% {
    clip: rect(70px, 9999px, 140px, 0);
  }
  8.333333333333332% {
    clip: rect(75px, 9999px, 1px, 0);
  }
  12.5% {
    clip: rect(84px, 9999px, 28px, 0);
  }
  16.666666666666664% {
    clip: rect(132px, 9999px, 36px, 0);
  }
  20.833333333333336% {
    clip: rect(4px, 9999px, 113px, 0);
  }
  25% {
    clip: rect(44px, 9999px, 21px, 0);
  }
  29.166666666666668% {
    clip: rect(44px, 9999px, 122px, 0);
  }
  33.33333333333333% {
    clip: rect(9px, 9999px, 127px, 0);
  }
  37.5% {
    clip: rect(70px, 9999px, 39px, 0);
  }
  41.66666666666667% {
    clip: rect(148px, 9999px, 86px, 0);
  }
  45.83333333333333% {
    clip: rect(107px, 9999px, 100px, 0);
  }
  50% {
    clip: rect(77px, 9999px, 0px, 0);
  }
  54.166666666666664% {
    clip: rect(106px, 9999px, 150px, 0);
  }
  58.333333333333336% {
    clip: rect(120px, 9999px, 50px, 0);
  }
  62.5% {
    clip: rect(18px, 9999px, 97px, 0);
  }
  66.66666666666666% {
    clip: rect(19px, 9999px, 78px, 0);
  }
  70.83333333333334% {
    clip: rect(97px, 9999px, 34px, 0);
  }
  75% {
    clip: rect(107px, 9999px, 67px, 0);
  }
  79.16666666666666% {
    clip: rect(145px, 9999px, 127px, 0);
  }
  83.33333333333334% {
    clip: rect(141px, 9999px, 62px, 0);
  }
  87.5% {
    clip: rect(40px, 9999px, 127px, 0);
  }
  91.66666666666666% {
    clip: rect(64px, 9999px, 60px, 0);
  }
  95.83333333333334% {
    clip: rect(42px, 9999px, 71px, 0);
  }
  100% {
    clip: rect(115px, 9999px, 18px, 0);
  }
}
@keyframes glitch-anim {
  0% {
    clip: rect(105px, 9999px, 34px, 0);
  }
  4.166666666666666% {
    clip: rect(70px, 9999px, 140px, 0);
  }
  8.333333333333332% {
    clip: rect(75px, 9999px, 1px, 0);
  }
  12.5% {
    clip: rect(84px, 9999px, 28px, 0);
  }
  16.666666666666664% {
    clip: rect(132px, 9999px, 36px, 0);
  }
  20.833333333333336% {
    clip: rect(4px, 9999px, 113px, 0);
  }
  25% {
    clip: rect(44px, 9999px, 21px, 0);
  }
  29.166666666666668% {
    clip: rect(44px, 9999px, 122px, 0);
  }
  33.33333333333333% {
    clip: rect(9px, 9999px, 127px, 0);
  }
  37.5% {
    clip: rect(70px, 9999px, 39px, 0);
  }
  41.66666666666667% {
    clip: rect(148px, 9999px, 86px, 0);
  }
  45.83333333333333% {
    clip: rect(107px, 9999px, 100px, 0);
  }
  50% {
    clip: rect(77px, 9999px, 0px, 0);
  }
  54.166666666666664% {
    clip: rect(106px, 9999px, 150px, 0);
  }
  58.333333333333336% {
    clip: rect(120px, 9999px, 50px, 0);
  }
  62.5% {
    clip: rect(18px, 9999px, 97px, 0);
  }
  66.66666666666666% {
    clip: rect(19px, 9999px, 78px, 0);
  }
  70.83333333333334% {
    clip: rect(97px, 9999px, 34px, 0);
  }
  75% {
    clip: rect(107px, 9999px, 67px, 0);
  }
  79.16666666666666% {
    clip: rect(145px, 9999px, 127px, 0);
  }
  83.33333333333334% {
    clip: rect(141px, 9999px, 62px, 0);
  }
  87.5% {
    clip: rect(40px, 9999px, 127px, 0);
  }
  91.66666666666666% {
    clip: rect(64px, 9999px, 60px, 0);
  }
  95.83333333333334% {
    clip: rect(42px, 9999px, 71px, 0);
  }
  100% {
    clip: rect(115px, 9999px, 18px, 0);
  }
}
@-webkit-keyframes glitch-anim-2 {
  6.666666666666667% {
    clip: rect(70px, 9999px, 16px, 0);
  }
  10% {
    clip: rect(96px, 9999px, 79px, 0);
  }
  13.333333333333334% {
    clip: rect(114px, 9999px, 16px, 0);
  }
  16.666666666666664% {
    clip: rect(120px, 9999px, 71px, 0);
  }
  20% {
    clip: rect(45px, 9999px, 131px, 0);
  }
  23.333333333333332% {
    clip: rect(114px, 9999px, 70px, 0);
  }
  26.666666666666668% {
    clip: rect(58px, 9999px, 51px, 0);
  }
  30% {
    clip: rect(100px, 9999px, 8px, 0);
  }
  33.33333333333333% {
    clip: rect(138px, 9999px, 31px, 0);
  }
  36.666666666666664% {
    clip: rect(80px, 9999px, 35px, 0);
  }
  40% {
    clip: rect(73px, 9999px, 49px, 0);
  }
  43.333333333333336% {
    clip: rect(89px, 9999px, 36px, 0);
  }
  46.666666666666664% {
    clip: rect(130px, 9999px, 145px, 0);
  }
  50% {
    clip: rect(63px, 9999px, 10px, 0);
  }
  53.333333333333336% {
    clip: rect(91px, 9999px, 115px, 0);
  }
  56.666666666666664% {
    clip: rect(140px, 9999px, 104px, 0);
  }
  60% {
    clip: rect(12px, 9999px, 88px, 0);
  }
  63.33333333333333% {
    clip: rect(122px, 9999px, 66px, 0);
  }
  66.66666666666666% {
    clip: rect(19px, 9999px, 17px, 0);
  }
  70% {
    clip: rect(107px, 9999px, 75px, 0);
  }
  73.33333333333333% {
    clip: rect(81px, 9999px, 120px, 0);
  }
  76.66666666666667% {
    clip: rect(137px, 9999px, 25px, 0);
  }
  80% {
    clip: rect(109px, 9999px, 136px, 0);
  }
  83.33333333333334% {
    clip: rect(76px, 9999px, 46px, 0);
  }
  86.66666666666667% {
    clip: rect(45px, 9999px, 148px, 0);
  }
  90% {
    clip: rect(70px, 9999px, 14px, 0);
  }
  93.33333333333333% {
    clip: rect(93px, 9999px, 101px, 0);
  }
  96.66666666666667% {
    clip: rect(95px, 9999px, 62px, 0);
  }
  100% {
    clip: rect(121px, 9999px, 73px, 0);
  }
}
@keyframes glitch-anim-2 {
  6.666666666666667% {
    clip: rect(70px, 9999px, 16px, 0);
  }
  10% {
    clip: rect(96px, 9999px, 79px, 0);
  }
  13.333333333333334% {
    clip: rect(114px, 9999px, 16px, 0);
  }
  16.666666666666664% {
    clip: rect(120px, 9999px, 71px, 0);
  }
  20% {
    clip: rect(45px, 9999px, 131px, 0);
  }
  23.333333333333332% {
    clip: rect(114px, 9999px, 70px, 0);
  }
  26.666666666666668% {
    clip: rect(58px, 9999px, 51px, 0);
  }
  30% {
    clip: rect(100px, 9999px, 8px, 0);
  }
  33.33333333333333% {
    clip: rect(138px, 9999px, 31px, 0);
  }
  36.666666666666664% {
    clip: rect(80px, 9999px, 35px, 0);
  }
  40% {
    clip: rect(73px, 9999px, 49px, 0);
  }
  43.333333333333336% {
    clip: rect(89px, 9999px, 36px, 0);
  }
  46.666666666666664% {
    clip: rect(130px, 9999px, 145px, 0);
  }
  50% {
    clip: rect(63px, 9999px, 10px, 0);
  }
  53.333333333333336% {
    clip: rect(91px, 9999px, 115px, 0);
  }
  56.666666666666664% {
    clip: rect(140px, 9999px, 104px, 0);
  }
  60% {
    clip: rect(12px, 9999px, 88px, 0);
  }
  63.33333333333333% {
    clip: rect(122px, 9999px, 66px, 0);
  }
  66.66666666666666% {
    clip: rect(19px, 9999px, 17px, 0);
  }
  70% {
    clip: rect(107px, 9999px, 75px, 0);
  }
  73.33333333333333% {
    clip: rect(81px, 9999px, 120px, 0);
  }
  76.66666666666667% {
    clip: rect(137px, 9999px, 25px, 0);
  }
  80% {
    clip: rect(109px, 9999px, 136px, 0);
  }
  83.33333333333334% {
    clip: rect(76px, 9999px, 46px, 0);
  }
  86.66666666666667% {
    clip: rect(45px, 9999px, 148px, 0);
  }
  90% {
    clip: rect(70px, 9999px, 14px, 0);
  }
  93.33333333333333% {
    clip: rect(93px, 9999px, 101px, 0);
  }
  96.66666666666667% {
    clip: rect(95px, 9999px, 62px, 0);
  }
  100% {
    clip: rect(121px, 9999px, 73px, 0);
  }
}


/* ---- reset ---- */
canvas {
  display: block;
  vertical-align: bottom;
} /* ---- particles.js container ---- */
#particles-js {
  display: block;
  position : absolute;
  width: 100%;
  height: 100%;
  margin: 0;
}

